package com.logicbig.example;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import jakarta.annotation.PostConstruct;

@Component
public class MyBean {
    @Value("${java.io.tmpdir:/temp}")
    private String tempDir;
    @Value("${contact-person:Joe}")
    private String contactPerson;

    @PostConstruct
    public void postInit() {
        System.out.println("System tempDir: " + tempDir);
        System.out.println("contact-person: " + contactPerson);
    }
}